Bug 213312 - security/nss: Upgrade to 3.27.1 (fix a regression introduced in 3.27)
Summary: security/nss: Upgrade to 3.27.1 (fix a regression introduced in 3.27)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-gecko mailing list
URL: https://developer.mozilla.org/en-US/d...
Keywords: easy, patch, regression
Depends on:
Blocks:
 
Reported: 2016-10-08 18:27 UTC by VK
Modified: 2016-10-11 16:06 UTC (History)
2 users (show)

See Also:
vlad-fbsd: merge-quarterly?


Attachments
Bump nss and ca_root_nss to 3.27.1 (2.13 KB, patch)
2016-10-08 18:27 UTC, VK
no flags Details | Diff
Bump nss and ca_root_nss to 3.27.1 (2.45 KB, patch)
2016-10-08 19:27 UTC, VK
jbeich: maintainer-approval-
Details | Diff
Bump nss and ca_root_nss to 3.27.1 (2.28 KB, patch)
2016-10-09 07:46 UTC, VK
jbeich: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VK freebsd_triage 2016-10-08 18:27:28 UTC
Created attachment 175533 [details]
Bump nss and ca_root_nss to 3.27.1

"No new functionality is introduced in this release. This is a patch release to address a TLS compatibility issue that some applications experienced with NSS 3.27."

Builds with poudriere 10.3 amd64, other FreeBSD versions pending.

Incidentally, I can't get the nss test target running. `make test` (with extracted tarball) fails with env: ./all.sh: No such file or directory, but it's clearly there. I'll check out what's with that and how to get the tests running.
Comment 1 VK freebsd_triage 2016-10-08 19:27:28 UTC
Created attachment 175535 [details]
Bump nss and ca_root_nss to 3.27.1

Add LICENSE while at it.
Comment 2 Jan Beich freebsd_committer 2016-10-09 02:19:41 UTC
Comment on attachment 175535 [details]
Bump nss and ca_root_nss to 3.27.1

Keep Unix line endings and don't mangle whitespace in diff context.

  $ patch -CEfsp0 -i file_213312.txt
  patch: **** malformed patch at line 7:
Comment 3 VK freebsd_triage 2016-10-09 07:46:43 UTC
Created attachment 175554 [details]
Bump nss and ca_root_nss to 3.27.1

Hmm, here's another, but this time uploaded file. The previous was copy pasted in bugzilla from svn diff output (using paste text as attachment) so I guess that mangles it and shouldn't be done... I'm sorry.
Comment 4 commit-hook freebsd_committer 2016-10-09 10:46:31 UTC
A commit references this bug:

Author: jbeich
Date: Sun Oct  9 10:45:34 UTC 2016
New revision: 423587
URL: https://svnweb.freebsd.org/changeset/ports/423587

Log:
  security/nss: update to 3.27.1 and define license

  Changes:	https://developer.mozilla.org/docs/Mozilla/Projects/NSS/NSS_3.27.1_release_notes
  PR:		213312
  Submitted by:	Vladimir Krstulja <vlad-fbsd@acheronmedia.com>
  MFH:		2016Q4

Changes:
  head/security/ca_root_nss/Makefile
  head/security/ca_root_nss/distinfo
  head/security/nss/Makefile
  head/security/nss/distinfo
Comment 5 Jan Beich freebsd_committer 2016-10-09 10:56:29 UTC
Note, we could have skipped security/ca_root_nss update but ports r423559 strategy of selectively not bumping or not upgrading packages is more error-prone.
Comment 6 commit-hook freebsd_committer 2016-10-11 16:06:35 UTC
A commit references this bug:

Author: jbeich
Date: Tue Oct 11 16:05:43 UTC 2016
New revision: 423776
URL: https://svnweb.freebsd.org/changeset/ports/423776

Log:
  MFH: r423587

  security/nss: update to 3.27.1 and define license

  Changes:	https://developer.mozilla.org/docs/Mozilla/Projects/NSS/NSS_3.27.1_release_notes
  PR:		213312
  Submitted by:	Vladimir Krstulja <vlad-fbsd@acheronmedia.com>
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/security/ca_root_nss/Makefile
  branches/2016Q4/security/ca_root_nss/distinfo
  branches/2016Q4/security/nss/Makefile
  branches/2016Q4/security/nss/distinfo